<template>
	<view>
		<view class="backcorfff width100">
			<QSTabs ref="tabs" :tabs="tabs" animationMode="line2" :current="current" @change="change"
				activeColor="#089bf5" lineColor="#089bf5" minWidth="150">
			</QSTabs>
		</view>
		<!-- 状态 -->
		<view class="mart20 width100">
			<view v-if="merchantlist == '' " class="mart60 fotct font14 fcor666">
				<image mode="widthFix" style="width: 70vw;" src="../../../static/img/noorder.png"></image>
			</view>
			<view class="width94 backcorfff border-r mart15" v-for="(item,index) in merchantlist" :key="index"
				@click="jumpmerdes(item.id)">
				<view class="notes">
					<image src="../../../static/img/merchantstu.png" mode="widthFix" class="iconw40"></image>
					<view class="width60 margle">
						<view class="font14 fcor333">{{item.merName}}</view>
						<view class="font12 fcor999">
							{{item.createTime | timeFormat('yyyy-mm-dd')}}
							{{item.createTime | timeFormat('hh:mm')}}
						</view>
					</view>
					<view class="statucs font14" v-if="item.merStatus == 1">正常</view>
					<view class="otstatucs font14" v-if="item.merStatus == 2">编辑中</view>
					<view class="otstatucs font14" v-if="item.merStatus == 3">审核中</view>
					<view class="otstatucs font14" v-if="item.merStatus == 4">审核失败</view>
					<view class="otstatucs font14" v-if="item.merStatus == 5">违规</view>
				</view>
				<view class="notes" style="padding-top: 5px;padding-bottom: 5px;">
					<view class="width30 fcor333 font15">商户号</view>
					<view class="width30 fcor999 font15">{{item.merNo}}</view>
				</view>
				<view class="notes" style="padding-top: 5px;padding-bottom: 5px;">
					<view class="width30 fcor333 font15">联系人</view>
					<view class="width30 fcor999 font15" v-if="item.regName">{{item.regName}}</view>
					<view class="width30 fcor999 font15" v-else>-</view>
				</view>
				<view class="height45 width100 paddbotm10" v-if="item.merStatus == 1">
					<button class="btns mart10 margle10" @click.stop="openAccounts(item.id)">开通分账</button>
					<!-- <button class="btns mart10 margle10" @click.stop="bindMerchants(item.id)">分账接收方</button> -->
					<button class="btns mart10 margle10" @click.stop="jumpEquityActivity(item.id)">权益活动</button>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import QSTabs from '../../../components/QS-tabs/QS-tabs.vue';
	import {
		getMerListBySalesman,
	} from '../../../Utils/Api.js';
	export default {
		components: {
			QSTabs
		},
		data() {
			return {
				tabs: ["编辑中", "审核中", "审核失败", "违规", "正常"],
				current: 0, // tabs默认值
				merchantlist: [],
				pageNum: 1,
				pagesize: 10,
				isLoadMore: false, //是否加载中
				merstu: 2 //查询当前状态   2：编辑中   3：审核中  4：审核失败  5：违规 1：正常 
			}
		},
		onLoad(options) {
			if (options.id == 1) {
				this.merstu = 2;
				this.current = 0;
			}

			if (options.id == 2) {
				this.merstu = 3;
				this.current = 1;
			}
		},
		onShow() {
			this.merchantlist = [];
			this.pageNum = 1;
			this.getMerListBySalesman();
		},
		onReachBottom() { //上拉触底函数
			if (!this.isLoadMore) { //此处判断，上锁，防止重复请求
				this.isLoadMore = true
				this.pageNum += 1
				this.getMerListBySalesman()
			}
		},
		methods: {
			//查询商户列表
			getMerListBySalesman() {
				uni.showLoading({
					title: '加载中'
				})
				let datas = {
					merStatus: this.merstu,
					pageNum: this.pageNum,
					pageSize: this.pagesize,
				}
				getMerListBySalesman(datas).then(res => {
					uni.hideLoading();
					if (res.return_code == '000000' && res.return_data.list) {
						this.merchantlist = this.merchantlist.concat(res.return_data.list);
						if (res.return_data.pages == this.pageNum) {
							this.isLoadMore = true;
						} else {
							this.isLoadMore = false
						}
					} else {
						this.isLoadMore = true
					}
				});
			},
			//筛选
			change(index) {
				this.$refs.tabs.setFinishCurrent(index);
				this.current = index;
				if (index == 0) {
					this.merstu = 2;
				}
				if (index == 1) {
					this.merstu = 3;
				}
				if (index == 2) {
					this.merstu = 4;
				}
				if (index == 3) {
					this.merstu = 5;
				}
				if (index == 4) {
					this.merstu = 1;
				}
				this.merchantlist = [];
				this.pageNum = 1;
				this.getMerListBySalesman();
			},
			//跳转详情
			jumpmerdes(ids) {
				if (this.merstu == 2 || this.merstu == 4) {
					uni.navigateTo({
						url: '../merchant-incoming-parts/merchant-incoming-parts?id=' + ids
					})
				}
				if (this.merstu == 3) {
					uni.showToast({
						title: '审核中',
						duration: 2000,
						icon: 'none'
					})
				}
				if (this.merstu == 1 || this.merstu == 5) {
					uni.navigateTo({
						url: '../merchant-details/merchant-details?id=' + ids
					})
				}
			},
			//开通分账
			openAccounts(item) {
				uni.navigateTo({
					url: '/pages/index/open-Divide_accounts/open-Divide_accounts?id=' + item
				})
			},
			//跳转权益活动
			jumpEquityActivity(item) {
				uni.navigateTo({
					url: '/pages/index/equity-activities/equity-activities?id=' + item
				})
			}
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #f6f6f6;
	}

	.notes {
		width: calc(100% - 40upx);
		display: flex;
		align-items: center;
		padding: 20upx 0 20upx 20upx;
	}

	//正常状态
	.statucs {
		background-color: #e9f9e5;
		color: #84b878;
		text-align: center;
		padding: 2px 5px;
	}

	//其他状态
	.otstatucs {
		background-color: #fbeee4;
		color: #db8c73;
		text-align: center;
		padding: 2px 5px;
	}

	.btns {
		width: 21%;
		float: left;
		height: 35px;
		line-height: 35px;
		background-color: #0083f5;
		color: #FFFFFF;
		font-weight: bold;
		font-size: 12px;
		padding: 0px;
	}
</style>